$(function() {
	/* selectBox */
	$(".select1").hover(function() {
		$(this).addClass("sel_over");
	}, function() {
		$(this).removeClass("sel_over");
	}).on('click', function() {
		var _this = $(this), _bthis = $(this).find(".sel_list1");
		if (_this.attr('isopen')) {
			_bthis.slideUp(0, function() {
				_this.removeAttr('isopen');
			});
		} else {
			_bthis.slideDown(0, function() {
				_this.attr('isopen', "1");
			});
		}
	}).on('mouseleave', function() {
		var _thisa = $(this).find(".sel_list1"), _this = $(this);
		_thisa.hide();
		_this.removeAttr('isopen');
	}), $(this).find(".sel_list1 li").hover(function() {
		$(this).addClass("sel_hov");
	}, function() {
		$(this).removeClass("sel_hov");
	}).on('click', function() {

		var payType = $(this).attr("value");
		$("#payType").val(payType);

		var payRate = 0;
		var harmCode = "";
		// 给付率类型为最大或累加
		if (payType == '1' || payType == '2') {

			$("#harmLevels").find("span").each(function() {
				if ($(this).attr("class") == "check_yes") {
					var tmp = parseInt($(this).attr("id"));
					if ($("#payType").val() == '1') {
						if (tmp > payRate) {
							payRate = tmp;
						}
					}
					if ($("#payType").val() == '2') {
						payRate = payRate + tmp;
					}
					var tmpCode = $(this).attr("title");
					harmCode = harmCode + tmpCode + ",";
				}
			});
			if (payRate == 0) {
				alert("请选择伤残代码！");
				$("#payTypetxt").html("自定义");
				$("#payRate").removeAttr("readonly");
				return;
			} else {
				$("#payRate").val(payRate);
				$("#harmCode").val(harmCode);
				$("#payRate").attr("readonly", "readonly");
			}
		}
		if (payType == '3') {
			$("#payRate").val("");
			$("#payRate").removeAttr("readonly");
		}

		var _this = $(this).html();
		var _thisText = $(this).closest(".select1").find(".sel_text1");
		_thisText.html(_this);
		var vid = $(this).closest(".select1").attr("id") + "_code";
		var vidinput = $(this).closest(".select1").attr("id") + "input";
		if ($("#" + vid).is("input")) {
			$("#" + vid).val($(this).attr("code"));
		} else {
			$("body").append("<input type='hidden' id='" + vid + "'>");
			$("#" + vid).val($(this).attr("code"));
		}
		if ($("#" + vidinput).is("input")) {
			$("#" + vidinput).val(_this);
		}
	});
});
function calcAdjHarm() {

	if ($("#resCode").val() == '02' || $("#resCode").val() == '05') {

		if ($("#assRate").val() == '' && $("#assAmt").val() == '') {
			alert("请填写通融给付率或通融给付金额！");
			return;
		}
	} else {
		var accType = $("#accType").val();
		var payRate = $("#payRate").val();
		if (accType == '02' && payRate == '') {
			alert("请填写给付率！");
			return;
		}
		var css1 = $("#type1").attr("class");
		var css2 = $("#type2").attr("class");
		if(accType == '' || ("check_no"==css1 && "check_no"==css2)){
			alert("请勾选赔付类型！");
			return;
		}
		//骨折
		if(accType=='20'){
			var fractureDays = $("#fractureDays").val();
			var subsidyAmt = $("#subsidyAmt").val();
			if(payRate=='' && fractureDays=='' && subsidyAmt==''){
				alert("请填写骨折天数、骨折日津贴或给付率");
				return;
			}else if(payRate!='' && fractureDays!='' && subsidyAmt!=''){
				alert("补贴类与死亡伤残类只能选择一种来计算");
				return;
			}else if(payRate==''){
				if(fractureDays==''){
					alert("请填写骨折天数");
					return;
				}
				if(subsidyAmt==''){
					alert("请填写骨折日津贴");
					return;
				}
			}
		}
	}
	var request = getFormJson("adjHarmForm");
	// alert(JSON.stringify(request));
	$.ajax({
		type : "POST",
		url : "calcAdjHarm.do",
		contentType : "application/json; charset=UTF-8",
		data : JSON.stringify(request),
		success : function(data) {
			// alert(data.calcClmAmt);
			$("#calcClmAmt").val(data.calcClmAmt);
			$("#realClmAmt").val(data.calcClmAmt);
			$("#afterPayRemainPrem").val(data.afterPayRemainPrem);
			$("#inWaitingPeriod").val(data.inWaitingPeriod);
			$("#inBackPeriod").val(data.inBackPeriod);
		},
		error : function() {
			alert("伤残类计算出错！");
		}
	});
}

function completeAdjHarm() {

	if ($("#realClmAmt").val() == '' || $("#afterPayRemainPrem").val() == '') {
		alert("计算结果为空！");
		return;
	}
	var inWaitingPeriod = $("#inWaitingPeriod").val();
	if(inWaitingPeriod=='1' && !confirm("事故发生于等待期内，是否完成理算？")){
		return;
	}
	var inBackPeriod = $("#inBackPeriod").val();
	if(inBackPeriod=='1' && !confirm("事故发生于追溯期内，是否完成理算？")){
		return;
	}
	var realClmAmt = $("#realClmAmt").val();
	var remainPrem = parseFloat($("#remainPrem").val());
	if(realClmAmt>remainPrem){
		alert("给付结果不能大于剩余保额！");
		return;
	}
	adjHarmForm.submit();
}

$("#payType").val('3');
function payTypeSelect(payType) {
	$("#payType").val(payType);

	var payRate = 0;
	var harmCode = "";
	// 给付率类型为最大或累加
	if (payType == '1' || payType == '2') {

		$("#harmLevels").find("span").each(function() {
			if ($(this).attr("class") == "check_yes") {
				var tmp = parseInt($(this).attr("id"));
				if ($("#payType").val() == '1') {
					if (tmp > payRate) {
						payRate = tmp;
					}
				}
				if ($("#payType").val() == '2') {
					payRate = payRate + tmp;
				}
				var tmpCode = $(this).attr("title");
				harmCode = harmCode + tmpCode + ",";
			}
		});
		if (payRate == 0) {
			alert("请选择伤残代码！");
			$("#payTypetxt").html("自定义");
			$("#payRate").removeAttr("readonly");
		} else {
			$("#payRate").val(payRate);
			$("#harmCode").val(harmCode);
			$("#payRate").attr("readonly", "readonly");
		}
	}
	if (payType == '3') {
		$("#payRate").val("");
		$("#payRate").removeAttr("readonly");
	}
}

function calcAfterPay(){
	var remainPrem = $("#remainPrem").val();
	var realClmAmt = $("#realClmAmt").val();
	var afterPayRemainPrem = remainPrem-realClmAmt;
	if(afterPayRemainPrem<0)afterPayRemainPrem=0;
	$("#afterPayRemainPrem").val(afterPayRemainPrem);
}


function paymentTypeClick(type){
	var css1 = $("#type1").attr("class");
	var css2 = $("#type2").attr("class");
	if("check_yes"==css1 && "check_yes"==css2){
		if(type==1){
			$("#accType").val("02");
		}else if(type==2){
			$("#accType").val("01");
		}
	}else if("check_yes"==css1 && "check_no"==css2){
		if(type==1){
			$("#accType").val("");
		}else if(type==2){
			$("#accType").val("01,02");
		}
	}else if("check_no"==css1 && "check_yes"==css2){
		if(type==1){
			$("#accType").val("01,02");
		}else if(type==2){
			$("#accType").val("");
		}
	}else if("check_no"==css1 && "check_no"==css2){
		if(type==1){
			$("#accType").val("01");
		}else if(type==2){
			$("#accType").val("02");
		}
	}
}

